"use client";
import "react";
function o(t) {
  return (r) => {
    let {
      transform: e
    } = r;
    return {
      ...e,
      x: Math.ceil(e.x / t) * t,
      y: Math.ceil(e.y / t) * t
    };
  };
}
const a = (t) => {
  let {
    transform: r
  } = t;
  return {
    ...r,
    y: 0
  };
};
export {
  o as createSnapModifier,
  a as restrictToHorizontalAxis
};
